%bcond_with doc_pdf
%global commit 29f5ac97f1356c82dc44dfe4e5a46cc3e9e91a4c

Summary:        Persistent/Functional/Immutable data structures
Name:           python-pyrsistent
Version:        0.19.2
Release:        4%{?dist}
License:        MIT AND BSD-3-Clause
URL:            https://github.com/tobgu/pyrsistent/
Source0:        https://github.com/tobgu/pyrsistent//archive/%{commit}/pyrsistent-%{commit}.tar.gz

BuildRequires:  python3-devel gcc

%if %{with doc_pdf}
BuildRequires:  make python3-sphinx-latex latexmk
%endif
BuildRequires:  python3dist(pytest-runner)

%description
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable

%package -n     python3-pyrsistent
Summary:        Persistent/Functional/Immutable data structures

%description -n python3-pyrsistent 
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable

%package        doc
Summary:        Documentation for pyrsistent
BuildArch:      noarch

%description doc
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable


%prep
%autosetup -n pyrsistent-%{commit}

%build
%py3_build

%if %{with doc_pdf}
PYTHONPATH="${PWD}" %make_build -C docs latex SPHINXOPTS='-n %{?_smp_mflags}'
%make_build -C docs/build/latex LATEXMKOPTS='-quiet'
%endif

%install
%py3_install

%check
# do not run hypothesis tests
%pytest --ignore tests/hypothesis_vector_test.py
%pytest --doctest-modules pyrsistent

%files -n python3-pyrsistent
%license LICENSE.mit
%pycached %{python3_sitearch}/_pyrsistent_version.py
%{python3_sitearch}/pyrsistent/
%{python3_sitearch}/pvectorc.cpython-3*.so
%{python3_sitearch}/pyrsistent-%{version}-py%{python3_version}.egg-info/

%files doc
%license LICENSE.mit
%doc CHANGES.txt README.rst
%if %{with doc_pdf}
%doc docs/build/latex/Pyrsistent.pdf
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 0.19.2-2
- remove unused buildrequires

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.19.2-1
- package init.

